Packages - Bug #3175

pandoc: error while loading shared libraries:
libHSzip-archive-0.4.1-DJkoFZ50Wm8Cw5Ds4ctvh6-ghc9.0.2.s0: cannot open shared object file

2022-02-02 10:06 AM - maddox

Status: duplicate % Done: 0%
Priority: bug

Assignee:

Category:

Description

| have upgraded correctly, and | think that package definitions are not good that | am getting too many problems, and programs stop
working.

After the manual installation of haskell-zib-archive, then | get error:

$ pandoc
/usr/bin/pandoc: error while loading shared libraries: libHStexmath-0.12.3.2-2FRxbuFZIE951s24Gspfbg-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

But | don't expect those kinds of errors. | was using pandoc without problems, upgraded system, and it appears that required
packages for pandoc have not been installed.

Are those packages in dependency list? It looks so, but they are not installed or downloaded when pandoc is installed.
Then again:

$ pandoc
/usr/bin/pandoc: error while loading shared libraries: libHStagsoup-0.14.8-60SLYpclrPx2RfFF30gIKr-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

and if | do following:

sudo pacman --sync --refresh --needed pandoc

:: Synchronizing package databases...

nonsystemd

nonsystemd is up to date libre

libre is up to date core

core is up to date extra

extra is up to date community

community is up to date pcr

pcr is up to datewarning: pandoc-2.14.2-14 is up to date -- skipping
there is nothing to do

Then | have installed haskell-skylighting:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSskylighting-core-0.11-2ngbxjdARgdFnNwI2QPgkd-ghc9.0.2.s0: cannot
open shared object file: No such file or directory

Then | have installed haskell-skylighting-core, and then:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSutf8-string-1.0.2-AOWVLBhuvp8luetdNwScv2-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after installation of haskell-utf8-string, then | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSansi-terminal-0.11-EGqiRilu5fLIxBsfMBVBk8-ghc9.0.2.s0: cannot open

shared object file: No such file or directory

then again:
$ pandoc
/usr/bin/pandoc: error while loading shared libraries: libHScolour-2.3.6-1Ggs1ZCmQ6j2500b2gSIIV-ghc9.0.2.s0: cannot open shared
object file: No such file or directory

then after installation of haskell-colour, | get:

$ pandoc
/usr/bin/pandoc: error while loading shared libraries: libHSjira-wiki-markup-1.4.0-ARhTkoqdQraLQQT7enUENC-ghc9.0.2.s0: cannot
open shared object file: No such file or directory

then after installation of haskell-jira-wiki-markup, | get:

pandoc
/usr/bin/pandoc: error while loading shared libraries: libHSipynb-0.1.0.1-GtfDHOt53jJCWbHv81PhER-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

then after installation of haskell-ipynb, | get:

pandoc
/usr/bin/pandoc: error while loading shared libraries: libHShttp-client-tls-0.3.5.3-3NtZIGwIXIDKzSbi7ikppj-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

then after manual installation of haskell-http-client-tls, | get:

pandoc
/usr/bin/pandoc: error while loading shared libraries: libHShttp-client-0.7.10-7x9wXTpLTFfwDCIQV{VWJ-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

then after manual installation of haskell-http-client, | get:

$ pandoc
/usr/bin/pandoc: error while loading shared libraries: libHSiproute-1.7.12-50YMJ79Q38mKyms7hQCtuR-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

then after manual installation of haskell-iproute, | get:

pandoc
/usr/bin/pandoc: error while loading shared libraries: libHShttp-types-0.12.3-9Uvs22j5d3n7gOEM6LGSbZ-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after manual installation of haskell-http-types, | get:
But this does not work automatically:
sudo pacman --sync --refresh --needed pandoc

:: Synchronizing package databases...

nonsystemd

nonsystemd is up to date libre

libre is up to date core

core is up to date extra

extra is up to date community

community is up to date pcr

pcr is up to datewarning: pandoc-2.14.2-14 is up to date -- skipping
there is nothing to do

Then after manual installation of haskell-hslua-module-text, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHShslua-module-system-0.2.2.1-3REDJuqUUsR2r9r7Ubj4eE-ghc9.0.2.s0:
cannot open shared object file: No such file or directory

Then after manual installation of haskell-hslua-module-system, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHStemporary-1.3-GJoonVnRq6AEOUafd81c0-ghc9.0.2.s0: cannot open
shared object file: No such file or directory
Then after manual installation of haskell-temporary, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHShslua-module-path-0.1.0.1-4CPa0WBAfOk3gfVcLR3C9H-ghc9.0.2.s0:
cannot open shared object file: No such file or directory

Then after manual installation of haskell-hslua-module-path, | get:

pandoc

/usr/bin/pandoc: error while loading shared libraries: libHShslua-1.3.0.1-33lvptssIDdGbrIdNH75ve-ghc9.0.2.s0: cannot open shared
object file: No such file or directory

Then after manual installation of haskell-hslua-module-path, following:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHShaddock-library-1.10.0-IJLHBmITGZxDaoFaPprt4U-ghc9.0.2.so: cannot
open shared object file: No such file or directory

Then after haskell-haddock-library, | get:

pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSdoctemplates-0.10.0.1-CwcEmIWrmmuflYDdaL605-ghc9.0.2.so: cannot
open shared object file: No such file or directory

Then after haskell-doctemplates, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHStext-conversions-0.3.1-6VVMhX0zL2cJIZr15lurJh-ghc9.0.2.s0: cannot
open shared object file: No such file or directory

Then after haskell-text-conversions, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSbase16-bytestring-1.0.2.0-GghdS8SZiULHIJmMCgO1KrYc-ghc9.0.2.s0:
cannot open shared object file: No such file or directory

Then after haskell-base16-bytestring, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSdoclayout-0.3.0.2-83FIXKBN7K3EL4IjEwDrwV-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after haskell-doclayout, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSconnection-0.3.1-LgxkXkmYwUsH1fZ3VJXsld-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after haskell-connection, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSx509-system-1.6.6-Alin9Go0O67uJVmalLJvEqvY-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after haskell-x509-system, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHStls-1.5.6-5GhHwD9DqgtNADiIMaAcbiLH-ghc9.0.2.s0: cannot open shared
object file: No such file or directory

Then after haskell-tls, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSx509-validation-1.6.12-8vUSOVgnFNu4xdKdxZLhZt-ghc9.0.2.s0: cannot

open shared object file: No such file or directory

Then after haskell-x509-validation, | get:
$ pandoc
/usr/bin/pandoc: error while loading shared libraries: libHSx509-store-1.6.7-9RDOhivAbfUCO7JXQoIMUF-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after haskell-x509-store, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSx509-1.7.5-5mgnPGIHifsBKUuNJpIVO2-ghc9.0.2.s0: cannot open shared
object file: No such file or directory

Then after haskell-x509, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSpem-0.2.4-1 AEOEJJAAtkDxY7d7tlgHg-ghc9.0.2.s0: cannot open shared
object file: No such file or directory

Then after haskell-pem, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSasn1-parse-0.9.5-20Ag8y70jBz8DD6ISWGacF-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after installing haskell-asn1-* packages:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHScryptonite-0.29-1qpuHkCrZkQ7nPLQsly6pE-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after haskell-cryptonite, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHShourglass-0.2.12-6JmhmDJx3sR46pTCzTkXgF-ghc9.0.2.s0: cannot open
shared object file: No such file or directory

Then after haskell-hourglass, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHSsocks-0.6.1-EtBe4gto5Pyl5nGpUOsao0-ghc9.0.2.s0: cannot open shared
object file: No such file or directory

Then after haskell-socks, and other packages, | get:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries: libHScommonmark-pandoc-0.2.1.1-2apMNga88rcBsjVPOIRwgD-ghc9.0.2.s0:

cannot open shared object file: No such file or directory

Then after installing all haskell commonmark packages, and after network packages, unicode transforms, network, haskell-citeproc,
then | am asking why is that all not automatic?

Related issues:
Related to Packages - Bug #2823: [pandoc] Looks wrong shared library version unconfirmed

History

#1 - 2022-02-02 10:20 AM - maddox

| have copied all dependent packages and tried this:

sudo pacman --sync --refresh --needed ghc-libs haskell-juicypixels haskell-sha haskell-aeson haskell-aeson-pretty haskell-attoparsec
haskell-base64-bytestring haskell-blaze-html haskell-blaze-markup haskell-case-insensitive haskell-citeproc haskell-commonmark
haskell-commonmark-extensions haskell-commonmark-pandoc haskell-connection haskell-data-default haskell-doclayout haskell-doctemplates
haskell-emojis haskell-file-embed haskell-glob haskell-haddock-library haskell-ipynb haskell-jira-wiki-markup haskell-skylighting
haskell-skylighting-core haskell-hslua haskell-hslua-module-path haskell-hslua-module-system haskell-hslua-module-text haskell-http-client
haskell-syb haskell-hsyaml haskell-http-client-tls haskell-http-types haskell-safe haskell-split haskell-texmath haskell-network
haskell-pandoc-types haskell-random haskell-scientific haskell-tagsoup haskell-temporary haskell-text-conversions haskell-network-uri
haskell-unicode-collation haskell-unicode-transforms haskell-unordered-containers haskell-zip-archive haskell-xml haskell-xml-conduit haskell-zlib

and | got this:

$ pandoc
/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

then again:
$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

object file: No such file or directory
then:

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

object file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

object file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

object file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc
libHSconduit-extra-1.3.5-SMZSqg8bs5LIgLcngybAFx-ghc9.0.2.s0: cannot open shared object file:

libHStyped-process-0.2.8.0-BbYLNBPt5FyDi4CoGrS4C7-ghc9.0.2.s0: cannot open shared

libHSstreaming-commons-0.2.2.2-BJwC9GfOE5yI0EiAXxGgXTa-ghc9.0.2.s0: cannot open shared

libHSasync-2.2.3-7dU5xBGJ0r25BBoBwSM8p0O-ghc9.0.2.s0: cannot open shared object file: No

libHSconduit-1.3.4.2-wvTpsnmPgmANAZpcwNsbP-ghc9.0.2.s0: cannot open shared object file:

libHSresourcet-1.2.4.3-1Ydbpd4 XI0dEE8sxS3PVDo-ghc9.0.2.s0: cannot open shared object file:

libHSmono-traversable-1.0.15.3-syJ1XDbgPbBZTPAsbm6AV-ghc9.0.2.s0: cannot open shared

libHSvector-algorithms-0.8.0.4-BbyySLoGe8ZBk2NnvbC1pn-ghc9.0.2.s0: cannot open shared

libHSuniplate-1.6.13-10Zi4GJry9QA8NYRoRhxvk-ghc9.0.2.s0: cannot open shared object file:

libHSth-lift-instances-0.1.19-9IP4vPehctpBhJFg4QjtUz-ghc9.0.2.s0: cannot open shared object

libHSQuickCheck-2.14.2-AnpTXeivrkiLldamjGWtyr-ghc9.0.2.s0: cannot open shared object file:

libHSuuid-types-1.0.5-p6XKwWEL6VRDVerfZINWE3-ghc9.0.2.s0: cannot open shared object file:

libHSsplitmix-0.1.0.4-KcWuCdLOJdQC3CqelXIR2L-ghc9.0.2.s0: cannot open shared object file:

libHStime-compat-1.9.6.1-1Z24gO0OwgOgYuFPrTFKyRCo1-ghc9.0.2.s0: cannot open shared object

libHSstrict-0.4.0.1-1CxOA0d9XjF1xxu1cW9own-ghc9.0.2.s0: cannot open shared object file: No

libHSthese-1.1.1.1-BNPJUFkhYy5HBXwh8ijjSk-ghc9.0.2.s0: cannot open shared object file: No

libHSassoc-1.0.2-6PNIYx2hC9eG93xW2ewLhW-ghc9.0.2.s0: cannot open shared object file: No

libHSbifunctors-5.5.11-Cd91CVeBuoc7LKSbtuiyyt-ghc9.0.2.s0: cannot open shared object file:
/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries
such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

shared object file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries
file: No such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

such file or directory

$ pandoc

/usr/bin/pandoc: error while loading shared libraries:

No such file or directory

Then after installing it all manually, it worked.

libHScomonad-5.0.8-EUKMUF71D86HiL36eB28Ke-ghc9.0.2.s0: cannot open shared object file:

libHSdistributive-0.6.2.1-1dnZX049YwPFKO0a7YrWfs0-ghc9.0.2.so: cannot open shared object

libHSbase-orphans-0.8.5-9C098S38s8N916X76hRWN7-ghc9.0.2.s0: cannot open shared object

: libHSdata-fix-0.3.2-9Fp2alePFOPFY6KyzkE5Cw-ghc9.0.2.s0: cannot open shared object file: No

libHSbase-compat-batteries-0.11.2-LiuW5pMYwkdIg5XCI0OH615-ghc9.0.2.s0: cannot open

: libHShashable-1.3.5.0-6Ae YBBukoSPGSG8LxP8orZ-ghc9.0.2.s0: cannot open shared object

libHSvector-0.12.3.1-IPjkfAEShEhDt08GLG1iXV-ghc9.0.2.s0: cannot open shared object file: No

libHSprimitive-0.7.3.0-6wYQtSKx96uH7VCWNeklkU-ghc9.0.2.s0: cannot open shared object file:

Either | am installing it by wrong method, or package dependencies are wrong, or something else.

#2 - 2022-02-11 06:20 PM - bill-auger

- Status changed from unconfirmed to duplicate

duplicate of #2823

#3 - 2022-02-11 06:21 PM - bill-auger

- Related to Bug #2823: [pandoc] Looks wrong shared library version added
